/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_VIEW_H)
#define _VIEW_H

#include <Evas.h>
#include "data.h"

typedef bool (*update_badge_request_cb)(const pkginfo_s *pkginfo, int badge_count);
typedef void (*get_badge_request_cb)(pkginfo_s **pkginfo);

Eina_Bool view_create(void *user_data);
Evas_Object *view_create_win(const char *pkg_name);
Evas_Object *view_create_conformant(Evas_Object *win);
Evas_Object *view_create_layout(Evas_Object *parent, const char *edj_file_name, const char *edj_group, const char *part_name);
Evas_Object *view_create_image(Evas_Object *parent, const char *file_path);
Evas_Object *view_create_toast(Evas_Object *parent, const char *text, double timeout);
Evas_Object *view_create_genlist(Evas_Object *parent, const char *part_name);
Elm_Genlist_Item_Class *view_create_genlist_item_class(Elm_Genlist_Item_Content_Get_Cb on_content_get_cb);
void view_set_callbacks(update_badge_request_cb update_badge_request_func, get_badge_request_cb get_badge_request_func);
bool view_add_application(pkginfo_s *pkginfo);
void view_destroy(void);

#endif
