/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_VIEW_DEFINES_H)
#define _VIEW_DEFINES_H

#define EDJ_MAIN "edje/main.edj"
#define GRP_MAIN "main"
#define PART_MAIN_APP_NAME "main_app_name"
#define PART_MAIN_BADGE_COUNTER "main_badge_counter"
#define PART_MAIN_BADGE_APPLY "main_badge_apply"
#define PART_MAIN_APPS_LIST "main_apps_list"

#define EDJ_PANELS "edje/panels.edj"
#define GRP_PANEL_APP_NAME "panel_app_name"
#define PART_PANEL_APP_NAME_CAPTION "panel_app_name_caption"
#define PART_PANEL_APP_NAME_HINT "panel_app_name_hint"

#define GRP_PANEL_BADGE_COUNTER "panel_badge_counter"
#define MSG_ID_BADGE_COUNTER_CHANGED 1
#define MSG_ID_BADGE_COUNTER_SET 2

#define GRP_PANEL_BADGE_APPLY "panel_badge_apply"
#define PART_PANEL_BADGE_APPLY "panel_badge_apply"
#define SIGNAL_APP_NAME_HINT_SHOW "signal,app-name-hint,show"
#define SIGNAL_APP_NAME_HINT_HIDE "signal,app-name-hint,hide"
#define SIGNAL_BADGE_APPLY_CLICKED "signal,badge-apply,clicked"

#define GRP_PANEL_APPS_LIST "panel_apps_list"
#define PART_PANEL_APPS_LIST "panel_apps_list"

#define EDJ_APPS_LIST_ITEM "edje/apps_list_item.edj"
#define GRP_APPS_LIST_ITEM "apps_list_item"
#define PART_APPS_LIST_ITEM_ICON "apps_list_item_icon"
#define PART_APPS_LIST_ITEM_NAME "apps_list_item_name"
#define PART_APPS_LIST_ITEM_BADGE_COUNTER "apps_list_item_badge_counter"
#define SIGNAL_APPS_LIST_ITEM_ENABLE "signal,apps_list,item,enable"
#define SIGNAL_APPS_LIST_ITEM_SET_HIGHLIGHT "signal,apps_list,item,highlight,set"
#define SIGNAL_APPS_LIST_ITEM_UNSET_HIGHLIGHT "signal,apps_list,item,highlight,unset"

#endif
